Subject: bug#79050: vc-git incorrectly treats git-crypt encrypted files as binary, even when unlocked

From: Richard Stallman <[email-masked]>
Date: Fri, 01 Aug 2025 22:46:37 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > What is the use case of git-crypt?  Why put code in a public repo
  > > and make it impossible for the public to see?

  > I maintain something similar: git-remote-gcrypt[1]

  > In short, Git repos don't have to be public.
  > I keep everything in Git, in many private repositories.

I don't follow the reasoning of this.  If a repo is private,
why encrupt its contents?  Some files on my disk are private too,
but I mostly don't encrypt them.

Is there a point that isn't clear to me?

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)